function [b,a]=pr2dr(C,B,A)          % 병렬형을 직접형으로 변환

[K,L]=size(A);                                % 병렬항의 개수 K 찾음
R=[]; P=[];                                   % 부분 분수 전개시 유수 및 극 초기화 
for m=1:K
   [r,p,k]=residuez(B(m,:),A(m,:));                 % 각 병렬항의 부분 분수 전개
   R=[R,r]; P=[P,p];                           % 부분 분수 전개 결과 축적     
end
[b,a]=residuez(R,P,C);                          % 직접형 분자, 분모 다항식 계산 
%b=b(:)'; a=a(:)';